﻿using System;
using System.Reactive.Linq; 

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            IObservable<DateTimeOffset> observable = Observable.Interval(TimeSpan.FromSeconds(1))
                                                         .Timestamp()
                                                         .Where(x => x.Value % 2 == 0)
                                                         .Select(x => x.Timestamp); 

            observable.Subscribe
            (
                x => Console.WriteLine(x),
                ex => Console.WriteLine(ex)
            ); 

            Console.ReadKey(false);
        }

        #endregion
    }
}